Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 217141 - net-wireless/coova-chilli-1.0.11 (new ebuild)
Summary: net-wireless/coova-chilli-1.0.11 (new ebuild)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard: sunrise-removal
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2008-04-10 14:25 UTC by Laurento Frittella (mrfree)
Modified: 2016-06-08 16:46 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
net-wireless/coova-chilli-1.0.11.ebuild (coova-chilli-1.0.11.ebuild,664 bytes, text/plain)
2008-04-10 14:25 UTC, Laurento Frittella (mrfree)
Details
files/chilli (chilli,938 bytes, text/plain)
2008-04-10 14:25 UTC, Laurento Frittella (mrfree)
Details
files/firewall.iptables (firewall.iptables,1.96 KB, text/plain)
2008-04-10 14:26 UTC, Laurento Frittella (mrfree)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurento Frittella (mrfree) 2008-04-10 14:25:04 UTC
chillispot seems to be unmaintained but a maintained fork called coova-chilli exists. Quoting from http://daloradius.wiki.sourceforge.net/Chillispot+Integration

"Worth mentioning is the fact that Chillispot's development was discontinued, apparently no one knows what's going on with the author of it, hopefully he is healthy and doing well. The author being away, Coova's developer David Bird has adopted the sources of Chilli and forked a new application which is being maintained now by Coova guys - CoovaChilli. The guys at Coova has done a good work while adding new features and technologies but they maintained the basic workings of Chillispot as we know it."

. for the ebuild I kept chillispot official ebuild keywords 
. I wrote a new init script using the upstream configuration file generation tools (I hate this system). Their idea is to create 3 config file starting from something like a template config file, I think we can use a special init function like create_config() to create the config files the first time and stop re-create them at each start (I think it should be more maintainable too)
. upstream stops to provide a sample iptables script file and they mix iptables settings in their init file (I hate this too), I choose to overwrite the init script with mine and provide the old sample script from chillispot
Comment 1 Laurento Frittella (mrfree) 2008-04-10 14:25:38 UTC
Created attachment 149301 [details]
net-wireless/coova-chilli-1.0.11.ebuild
Comment 2 Laurento Frittella (mrfree) 2008-04-10 14:25:54 UTC
Created attachment 149303 [details]
files/chilli
Comment 3 Laurento Frittella (mrfree) 2008-04-10 14:26:05 UTC
Created attachment 149305 [details]
files/firewall.iptables
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-17 02:35:59 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 5 Vítor Brandão (noisebleed) 2009-09-18 23:04:24 UTC
I've talked with Laurento Fritella which encouraged me to take over coova-chilli which I've done. I've made some small modifications to the ebuild made by Laurento and submited it to Sunrise. 

Bugs and suggestions should now be sent to me so I'm adding myself to the CC list.
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:46:15 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/